Package com.verisign.epp.serverstub

## Interface TtlSubHostHandler

- All Known Implementing Classes:
    `TtlV1_0HostHandler`

      public interface TtlSubHostHandler

  Sub Host Handler for use with the TTL extension. This interface is used to support handling multiple versions of the TTL extension, where each different version of the TTL extension must implement this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doHostCreate​(EPPHostCreateCmd aCreateCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Host Create Command.
    `void` | `doHostInfo​(EPPHostInfoCmd aInfoCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Host Info Command.
    `void` | `doHostUpdate​(EPPHostUpdateCmd aUpdateCommand, EPPResponse aResponse, java.lang.Object aData)` | Handle an EPP Host Update Command.

- - ### Method Detail

    - #### doHostInfo

          void doHostInfo​(EPPHostInfoCmd aInfoCommand,
                          EPPResponse aResponse,
                          java.lang.Object aData)

      Handle an EPP Host Info Command.
      Parameters:
        `aInfoCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doHostCreate

          void doHostCreate​(EPPHostCreateCmd aCreateCommand,
                            EPPResponse aResponse,
                            java.lang.Object aData)

      Handle an EPP Host Create Command.
      Parameters:
        `aCreateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.

    - #### doHostUpdate

          void doHostUpdate​(EPPHostUpdateCmd aUpdateCommand,
                            EPPResponse aResponse,
                            java.lang.Object aData)

      Handle an EPP Host Update Command.
      Parameters:
        `aUpdateCommand` - Command sent by the client
        `aResponse` - Response created previously up the stack
        `aData` - Server data. This is assumed to be an instance of `SessionData`.